---
title: Segurança
---

# Questões de segurança

Castopod é construído sobre [CodeIgniter4](https://codeigniter.com/), um
framework PHP que encoraja
[boas práticas de segurança](https://codeigniter.com/user_guide/concepts/security.html).

Para maximizar a segurança da sua instância e prevenir qualquer ataque
malicioso, nós recomendamos que você atualize todas as suas permissões de
arquivos do Castopod após a instalação ou atualizações (para evitar qualquer
erro de permissão anterior):

- A pasta `writable/` deve ser **legível (readable)** e **gravável (writable)**.
- A pasta `public/media/` deve ser **legível (readable)** e **gravável
  (writable)**.
- qualquer outro arquivo deve ser definido como **somente leitura (readonly)**.

Por exemplo, se você estiver usando Apache ou NGINX com Ubuntu, você pode fazer
o seguinte:

```bash
sudo chown -R root:root /path/to/castopod
sudo chown -R www-data:www-data /path/to/castopod/writable
sudo chown -R www-data:www-data /path/to/castopod/public/media
```
