<?php

declare(strict_types=1);

/**
 * ISO 3166 country codes
 *
 * @copyright  2020 Ad Aures
 * @license    https://www.gnu.org/licenses/agpl-3.0.en.html AGPL3
 * @link       https://castopod.org/
 */

return [
    'AD' => 'Andorra',
    'AE' => 'Emiratos Árabes Unidos',
    'AF' => 'Afganistán',
    'AG' => 'Antigua e Barbuda',
    'AI' => 'Anguila',
    'AL' => 'Albania',
    'AM' => 'Armenia',
    'AO' => 'Angola',
    'AQ' => 'Antártida',
    'AR' => 'Arxentina',
    'AS' => 'Samoa Americana',
    'AT' => 'Austria',
    'AU' => 'Australia',
    'AW' => 'Aruba',
    'AX' => 'Illas Åland',
    'AZ' => 'Acerbaixán',
    'BA' => 'Bosnia e Hercegovina',
    'BB' => 'Barbados',
    'BD' => 'Bangladesh',
    'BE' => 'Bélxica',
    'BF' => 'Burkina Faso',
    'BG' => 'Bulgaria',
    'BH' => 'Bahrain',
    'BI' => 'Burundi',
    'BJ' => 'Benin',
    'BL' => 'Saint Barthélemy',
    'BM' => 'Bermuda',
    'BN' => 'Brunei Darussalam',
    'BO' => 'Bolivia, Plurinational State of',
    'BQ' => 'Bonaire, Sint Eustatius and Saba',
    'BR' => 'Brasil',
    'BS' => 'Bahamas',
    'BT' => 'Bután',
    'BV' => 'Illa Bouvet',
    'BW' => 'Botswana',
    'BY' => 'Bielorrusia',
    'BZ' => 'Belice',
    'CA' => 'Canadá',
    'CC' => 'Illas Cocos (Keeling)',
    'CD' => 'Congo, República Democrática do',
    'CF' => 'República Centro Africana',
    'CG' => 'Congo',
    'CH' => 'Switzerland',
    'CI' => "Côte d'Ivoire",
    'CK' => 'Cook Islands',
    'CL' => 'Chile',
    'CM' => 'Cameroon',
    'CN' => 'China',
    'CO' => 'Colombia',
    'CR' => 'Costa Rica',
    'CU' => 'Cuba',
    'CV' => 'Cape Verde',
    'CW' => 'Curaçao',
    'CX' => 'Christmas Island',
    'CY' => 'Chipre',
    'CZ' => 'República Checa',
    'DE' => 'Alemaña',
    'DJ' => 'Djibuti',
    'DK' => 'Dinamarca',
    'DM' => 'Dominica',
    'DO' => 'República Dominicana',
    'DZ' => 'Alxeria',
    'EC' => 'Ecuador',
    'EE' => 'Estonia',
    'EG' => 'Exipto',
    'EH' => 'O Sáhara Occidental',
    'ER' => 'Eritrea',
    'ES' => 'España',
    'ET' => 'Etiopía',
    'FI' => 'Finlandia',
    'FJ' => 'Fidji',
    'FK' => 'Illas Malvinas',
    'FM' => 'Estados Federados da Micronesia',
    'FO' => 'Illas Feroe',
    'FR' => 'Francia',
    'GA' => 'Gabón',
    'GB' => 'Reino Unido',
    'GD' => 'Granada',
    'GE' => 'Xeorxia',
    'GF' => 'Güiana Francesa',
    'GG' => 'Guernsey',
    'GH' => 'Ghana',
    'GI' => 'Xibraltar',
    'GL' => 'Groenlandia',
    'GM' => 'Gambia',
    'GN' => 'Guinea',
    'GP' => 'Guadalupe',
    'GQ' => 'Guinea Ecuatorial',
    'GR' => 'Grecia',
    'GS' => 'Xeorxia do Sur e Islas Sandwich do Sur',
    'GT' => 'Guatemala',
    'GU' => 'Guam',
    'GW' => 'Guinea-Bisau',
    'GY' => 'Güiana',
    'HK' => 'Hong Kong',
    'HM' => 'Illas Heard e McDonald',
    'HN' => 'Honduras',
    'HR' => 'Croacia',
    'HT' => 'Haití',
    'HU' => 'Hungría',
    'ID' => 'Indonesia',
    'IE' => 'Irlanda',
    'IL' => 'Israel',
    'IM' => 'Illa de Man',
    'IN' => 'India',
    'IO' => 'British Indian Ocean Territory',
    'IQ' => 'Iraq',
    'IR' => 'Iran, Islamic Republic of',
    'IS' => 'Iceland',
    'IT' => 'Italy',
    'JE' => 'Jersey',
    'JM' => 'Jamaica',
    'JO' => 'Jordan',
    'JP' => 'Japan',
    'KE' => 'Kenya',
    'KG' => 'Kyrgyzstan',
    'KH' => 'Cambodia',
    'KI' => 'Kiribati',
    'KM' => 'Comoros',
    'KN' => 'Saint Kitts and Nevis',
    'KP' => "Korea, Democratic People's Republic of",
    'KR' => 'Korea, Republic of',
    'KW' => 'Kuwait',
    'KY' => 'Cayman Islands',
    'KZ' => 'Kazakhstan',
    'LA' => "Lao People's Democratic Republic",
    'LB' => 'Lebanon',
    'LC' => 'Saint Lucia',
    'LI' => 'Liechtenstein',
    'LK' => 'Sri Lanka',
    'LR' => 'Liberia',
    'LS' => 'Lesotho',
    'LT' => 'Lithuania',
    'LU' => 'Luxembourg',
    'LV' => 'Latvia',
    'LY' => 'Libya',
    'MA' => 'Morocco',
    'MC' => 'Monaco',
    'MD' => 'Moldova, Republic of',
    'ME' => 'Montenegro',
    'MF' => 'Saint Martin (French part)',
    'MG' => 'Madagascar',
    'MH' => 'Marshall Islands',
    'MK' => 'Macedonia, the Former Yugoslav Republic of',
    'ML' => 'Mali',
    'MM' => 'Myanmar',
    'MN' => 'Mongolia',
    'MO' => 'Macao',
    'MP' => 'Northern Mariana Islands',
    'MQ' => 'Martinique',
    'MR' => 'Mauritania',
    'MS' => 'Montserrat',
    'MT' => 'Malta',
    'MU' => 'Mauritius',
    'MV' => 'Maldivas',
    'MW' => 'Malaui',
    'MX' => 'México',
    'MY' => 'Malaisia',
    'MZ' => 'Mozambique',
    'N/A' => 'Sen correspondencia (IP local…)',
    'NA' => 'Namibia',
    'NC' => 'Nova Caledonia',
    'NE' => 'Níxer',
    'NF' => 'Illa Norfolk',
    'NG' => 'Nixeria',
    'NI' => 'Nicaragua',
    'NL' => 'Países Baixos',
    'NO' => 'Noruega',
    'NP' => 'Nepal',
    'NR' => 'Nauru',
    'NU' => 'Niue',
    'NZ' => 'Nova Zelandia',
    'OM' => 'Omán',
    'PA' => 'Panamá',
    'PE' => 'Perú',
    'PF' => 'Polinesia francesa',
    'PG' => 'Papúa Nova Guinea',
    'PH' => 'Filipinas',
    'PK' => 'Paquistán',
    'PL' => 'Polonia',
    'PM' => 'San Pedro e Miguelón',
    'PN' => 'Pitcairn',
    'PR' => 'Porto Rico',
    'PS' => 'Estado de Palestina',
    'PT' => 'Portugal',
    'PW' => 'Palau',
    'PY' => 'Paraguai',
    'QA' => 'Catar',
    'RE' => 'Reunión',
    'RO' => 'Romanía',
    'RS' => 'Serbia',
    'RU' => 'Federación Rusa',
    'RW' => 'Ruanda',
    'SA' => 'Arabia Saudita',
    'SB' => 'Illas Salomón',
    'SC' => 'Seixeles',
    'SD' => 'Sudán',
    'SE' => 'Suecia',
    'SG' => 'Singapur',
    'SH' => 'Santa Helena, Ascensión e Tristán da Cunha',
    'SI' => 'Eslovenia',
    'SJ' => 'Svalbard e Jan Mayen',
    'SK' => 'Eslovaquia',
    'SL' => 'Serra Leoa',
    'SM' => 'San Marino',
    'SN' => 'Senegal',
    'SO' => 'Somalia',
    'SR' => 'Suriname',
    'SS' => 'South Sudan',
    'ST' => 'Sao Tome and Principe',
    'SV' => 'El Salvador',
    'SX' => 'Sint Maarten (Dutch part)',
    'SY' => 'Syrian Arab Republic',
    'SZ' => 'Swaziland',
    'TC' => 'Turks and Caicos Islands',
    'TD' => 'Chad',
    'TF' => 'French Southern Territories',
    'TG' => 'Togo',
    'TH' => 'Thailand',
    'TJ' => 'Tajikistan',
    'TK' => 'Tokelau',
    'TL' => 'Timor-Leste',
    'TM' => 'Turkmenistan',
    'TN' => 'Tunisia',
    'TO' => 'Tonga',
    'TR' => 'Turkey',
    'TT' => 'Trinidad and Tobago',
    'TV' => 'Tuvalu',
    'TW' => 'Taiwan, Province of China',
    'TZ' => 'Tanzania, United Republic of',
    'UA' => 'Ukraine',
    'UG' => 'Uganda',
    'UM' => 'United States Minor Outlying Islands',
    'US' => 'United States',
    'UY' => 'Uruguay',
    'UZ' => 'Uzbekistan',
    'VA' => 'Holy See (Vatican City State)',
    'VC' => 'Saint Vincent and the Grenadines',
    'VE' => 'Venezuela, Bolivarian Republic of',
    'VG' => 'Virgin Islands, British',
    'VI' => 'Virgin Islands, U.S.',
    'VN' => 'Viet Nam',
    'VU' => 'Vanuatu',
    'WF' => 'Wallis and Futuna',
    'WS' => 'Samoa',
    'YE' => 'Yemen',
    'YT' => 'Mayotte',
    'ZA' => 'South Africa',
    'ZM' => 'Zambia',
    'ZW' => 'Zimbabwe',
];
